Lingxing
切换旧版

创建海外仓备货计划

POST/erp/sc/routing/owms/overseaStockPlan/createOverseaStockPlan

一次请求可创建一个批次下最多 100 个商品计划;seller_id 和 warehouse_fnsku 会分别映射为 ERP 的店铺 ID 与 FNSKU。

接口信息

API Path请求协议请求方式令牌桶容量
/erp/sc/routing/owms/overseaStockPlan/createOverseaStockPlanHTTPSPOST待确认

请求参数

seqstring
已存在的计划批次号;不传则新建批次。
remarkstring
计划批次备注。
file_idarray<any>
批次附件 ID 列表。
audit_usersarray<any>
审批人配置;启用审批流时使用。
custom_fieldsarray<any>
批次自定义字段。
plan_listarray<object>必填
待创建的商品计划列表。
隐藏子属性
seller_idinteger
店铺 ID;ERP 内映射为 sid;0 表示不关联店铺。
最小值:0
product_idinteger必填
商品 ID。
warehouse_fnskustring
仓库 FNSKU;ERP 内映射为 fnsku。
widinteger
发货仓库 ID。
target_widinteger必填
海外收货仓库 ID。
stock_numinteger必填
海外仓备货数量。
最小值:1
match_numinteger
匹配数量。
最小值:1
shipment_plan_quantityinteger
计划发货数量。
ship_modeinteger
发货方式,1=非工厂直发,2=工厂直发。
可选值:1、2
shipment_timestring
计划发货日期,格式为 YYYY-MM-DD。
expected_arrival_datestring
预计到货日期,格式为 YYYY-MM-DD。
method_idinteger
运输方式 ID。
logistics_typeinteger
物流类型,用于匹配物流商和物流渠道。
logistics_provider_idinteger
物流商 ID。
logistics_channel_idinteger
物流渠道 ID。
whb_codearray<any>
指定锁库仓位编码列表。
is_manual_select_whb_codeinteger
是否手工指定锁库仓位,0=否,1=是。
可选值:0、1
quantity_in_caseinteger
单箱数量。
box_numinteger
箱数。
pps_idinteger
箱规 ID。
cg_package_lengthnumber
单品包装长。
cg_package_widthnumber
单品包装宽。
cg_package_heightnumber
单品包装高。
cg_box_lengthnumber
箱规长。
cg_box_widthnumber
箱规宽。
cg_box_heightnumber
箱规高。
cg_box_weightnumber
单箱重量。
nwnumber
单品净重。
gwnumber
单品毛重。
third_party_product_namestring
第三方仓商品名称。
third_party_product_codestring
第三方仓商品编码。
remarkstring
计划备注。

请求cURL示例

示例中的单号和 ID 为占位值,使用时请替换为实际值。

curl --location 'https://openapi.lingxing.com/erp/sc/routing/owms/overseaStockPlan/createOverseaStockPlan?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "plan_list": [
        {
            "product_id": 1001,
            "target_wid": 2,
            "stock_num": 10
        }
    ]
}'

返回结果

Json Object

codeinteger必填
业务结果码,与 HTTP 状态码不同;常见值为 1=成功、102=参数错误、1000=业务处理失败、500=系统错误。
msgstring必填
响应消息。
dataobject
隐藏子属性
seqstring
创建或复用的计划批次号。
order_snarray<any>
创建成功的计划单号列表。
require_idstring
请求追踪 ID;错误响应的 msg 还会附加请求码,便于排查。